stages:
  - test
  - publish

running tests for tag:
  image: mcr.microsoft.com/dotnet/core/sdk:3.1
  stage: test
  script:
    - dotnet test tests/EcoLogic.ReCaptcha.Tests.csproj

publish to nuget:
  only:
    - /^\d*.\d*.\d*$/ # gets triggered if the commit tag is in the form n.n.n where n is any number
  image: mcr.microsoft.com/dotnet/core/sdk:3.1
  stage: publish
  script:
    - dotnet pack src -o ./packaged
    - dotnet nuget push ./packaged/*.nupkg -k $NUGET_API_KEY -s https://api.nuget.org/v3/index.json
